﻿function scrolltoelement(type, id) {
	if(type == "scrolltotoggle") {
		scrolldelay(type, id);
	} else {
		scroll(type, id);
	}
}

function calculateheight(type, id) {
	var height = 0;
	
	var heights = {
		"scrolltop": function() {
			height = $("div.breadcrumb-wrap").offset().top;
		},
		"scrolltotoggle": function() {
			var spacetop = ($("h4[anc-scroll-id='" + id + "']").length != 0 ? 10 : 0);
			height = ($("*[anc-scroll-id='" + id + "']").length != 0 ? $("*[anc-scroll-id='" + id + "']").offset().top - spacetop : changeImg(id));
		},
		"scrolldown": function() {
			var header = ($($(document)).find("header.o-header").length > 0 ? $($(document)).find("header.o-header").height() : 0);
			var headercontent = ($($(document)).find("div.header-content").length > 0 ? $($(document)).find("div.header-content").height() : 0);
		
			height = header + headercontent; 
		},
		"default": function() {
			console.log("There is no scrolling type");
		}
	};
	
	(heights[type] || heights["default"])();
	
	return height;
}

function scrolldelay(type, id) {
	var delay = 405;
	
	setTimeout(function() {
		scroll(type, id);
	}, delay);
	
	hideNavSticky();
} 

function scroll(type, id) {
	var t = 1000;
	
	var height = calculateheight(type, id);
	$('html, body').animate({
		scrollTop: height
	}, t);
}

function changeImg(id) {
	var arr = id.split(".html#!/Togglebox=");
	var lastEle;
	var index;
	
	if(arr.length > 0) {
		lastEle = arr[arr.length - 1];
		
		$.each($("div.slick-track").children(".mediagallery-slide"), function(k,v) {
			if($(v).attr("data-layer-id").split("media-layer-")[1] == lastEle) {
				index = $(v).attr("data-slick-index");
				$(".js-mediagallery-thumbnailcarousel div[data-slick-index=" + index + "]").click();
			}
		});
	}
}

function hideNavSticky() {
	setTimeout(function() {
		$("div.nav-sticky").removeClass("is-active");
	}, 2000);
}